from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XStringAbbreviation(XInterface, Protocol):
    def abbreviateString(self, xStringWidth: XStringWidth, nWidth: int, aString: str) -> str: ...
